#!/bin/bash
# Author: Martijn de Boer

if [[ $EUID -ne 0 ]]; then
  echo "You must be a root user" 2>&1
  exit 1
fi

if [[ ! -f /etc/debian_version ]]; then
  echo "This script only works on Debian"
  exit 1
fi

set -e

TUNNEL_SERVERS=("10.0.0.2" "10.0.0.3" "10.0.0.4")
SSH_KEY="/root/.ssh/tunnel_key"

update_tunnel_configs() {
    local server="$1"

    scp -i "$SSH_KEY" /etc/tunnel-manager/Caddyfile root@"$server":/etc/caddy/Caddyfile

    ssh -i "$SSH_KEY" root@"$server" "systemctl reload caddy"
}

for server in "${TUNNEL_SERVERS[@]}"; do
    update_tunnel_configs "$server"
done